CREATE TABLE jmf_in_rules_b (
    RULE_SET_CODE            VARCHAR2(200) ,
    RULE_TYPE                VARCHAR2(200)     NOT NULL,
    ESTABLISHMENT_ID         NUMBER        ,
    CATEGORY_SET_ID          NUMBER        ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)   ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    RULE_SET_CODE            VARCHAR2(200) ,
    RULE_TYPE                VARCHAR2(200)     NOT NULL,
    ESTABLISHMENT_ID         NUMBER        ,
    CATEGORY_SET_ID          NUMBER        ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)   ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_jmf_in_rules_b PRIMARY KEY (RULE_SET_CODE, RULE_SET_CODE)
);
